import request from '@/utils/request'

export function createItem(data) {
  return request({
    url: '/coupon/add',
    method: 'post',
    data
  })
}

export function updateItem(data) {
  return request({
    url: '/coupon/edit',
    method: 'post',
    data
  })
}

export function list(query) {
  return request({
    url: '/coupon/list',
    method: 'get',
    params:query
  })
}

export function deleteitem(query) {
  return request({
    url: '/coupon/modify',
    method: 'post',
    params:query
  })
}

export function optionSelect(data) {
  return request({
    url: '/system/dict/type/optionselect',
    method: 'get',
    data
  })
}